com.sun.research.ws.wadl

## Class Link

- java.lang.Object
- - com.sun.research.ws.wadl.Link

    public class Link
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="resource_type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="rel" type="{http://www.w3.org/2001/XMLSchema}token" />
           <attribute name="rev" type="{http://www.w3.org/2001/XMLSchema}token" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `any`
`protected List<Doc>` `doc`
`protected String` `rel`
`protected String` `resourceType`
`protected String` `rev`

### Constructor Summary

Constructors
Constructor and Description
`Link()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` `getRel()` Gets the value of the rel property.
`String` `getResourceType()` Gets the value of the resourceType property.
`String` `getRev()` Gets the value of the rev property.
`void` `setRel(String value)` Sets the value of the rel property.
`void` `setResourceType(String value)` Sets the value of the resourceType property.
`void` `setRev(String value)` Sets the value of the rev property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### any

    protected List<Object> any

#### resourceType

    protected String resourceType

#### rel

    protected String rel

#### rev

    protected String rev

### Constructor Detail

#### Link

    public Link()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`

#### getResourceType

    public String getResourceType()

Gets the value of the resourceType property.

Returns:
  possible object is `String`

#### setResourceType

    public void setResourceType(String value)

Sets the value of the resourceType property.

Parameters:
  `value` - allowed object is `String`

#### getRel

    public String getRel()

Gets the value of the rel property.

Returns:
  possible object is `String`

#### setRel

    public void setRel(String value)

Sets the value of the rel property.

Parameters:
  `value` - allowed object is `String`

#### getRev

    public String getRev()

Gets the value of the rev property.

Returns:
  possible object is `String`

#### setRev

    public void setRev(String value)

Sets the value of the rev property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null